% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/TLum.Data.Curve-class.R
\docType{class}
\name{TLum.Data.Curve-class}
\alias{TLum.Data.Curve-class}
\alias{get_TLum.Data.Curve}
\alias{get_TLum.Data.Curve,ANY-method}
\alias{get_TLum.Data.Curve,TLum.Data.Curve-method}
\alias{set_TLum.Data.Curve}
\alias{set_TLum.Data.Curve,ANY-method}
\alias{set_TLum.Data.Curve,TLum.Data.Curve-method}
\alias{show,TLum.Data.Curve-method}
\title{Class \code{"TLum.Data.Curve"}}
\usage{
\S4method{show}{TLum.Data.Curve}(object)

set_TLum.Data.Curve(recordType, curveType, metadata, temperatures, data, error,
  analysis, .RESERVED)

\S4method{set_TLum.Data.Curve}{ANY}(recordType, curveType, metadata,
  temperatures, data, error, analysis, .RESERVED)

get_TLum.Data.Curve(object, ref)

\S4method{get_TLum.Data.Curve}{ANY}(object, ref)
}
\arguments{
\item{object}{\linkS4class{TLum.Data.Curve}:  an object of class 'TLum.Data.Curve'.}

\item{recordType}{\link{character}: record type.}

\item{curveType}{\link{character}: curve type}

\item{metadata}{\link{list}: metadata elements.}

\item{temperatures}{\link{numeric}: Object containing numeric vector with temperature data.}

\item{data}{\link{numeric}: Object containing numeric vector with count data}

\item{error}{\link{numeric}: Object containing numeric vector with count data absolute uncertainty.}

\item{analysis}{\link{list}: data produced by analysis function.}

\item{.RESERVED}{\link{list}: Object containing list of undocumented raw values for internal use only.}

\item{ref}{\link{character}: name of the wanted element.}
}
\description{
Class for luminescence curve data.
}
\section{Slots}{

\describe{
\item{\code{recordType}}{\link{character}: record type.}

\item{\code{curveType}}{\link{character}: curve type}

\item{\code{metadata}}{\link{list}: metadata elements.}

\item{\code{temperatures}}{\link{numeric}: Object containing numeric vector with temperature data.}

\item{\code{data}}{\link{numeric}: Object containing numeric vector with count data}

\item{\code{error}}{\link{numeric}: Object containing numeric vector with count data absolute uncertainty.}

\item{\code{analysis}}{\link{list}: data produced by analysis function.}

\item{\code{.RESERVED}}{\link{list}: Object containing list of undocumented raw values for internal use only.}
}}
\note{
The code and the structure of this class is based on the \linkS4class{RLum.Data.Curve} class from the \link{Luminescence} package.
}
\author{
David Strebler
}
\keyword{classes}

