% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/calc_TL.MAAD.separate.R
\name{calc_TL.MAAD.separate}
\alias{calc_TL.MAAD.separate}
\title{Separate the additive and the regenerative curves}
\usage{
calc_TL.MAAD.separate(Lx, Lx.error, doses, dTypes)
}
\arguments{
\item{Lx}{\link{numeric} (\bold{required}): Lx matrix}

\item{Lx.error}{\link{numeric} (\bold{required}): Error for the Lx matrix.}

\item{doses}{\link{numeric} (\bold{required}): doses vector}

\item{dTypes}{\link{character} (\bold{required}): data type vector.}
}
\description{
Internal function called by \link{analyse_TL.MAAD}. \cr
This function separates the additive curves from the regenerative curves using a vector containing the data type associate with each curve. 
Additive curves have "Natural" or "N+dose" as datatype.
Regenerative curves have "Bleach" or "Bleach+dose" as datatype.
Other datatypes are not supported.
}
\author{
David Strebler, University of Cologne (Germany).
}

