% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/calc_TL.temperature.R
\name{calc_TL.temperature}
\alias{calc_TL.temperature}
\title{calculate temperature vector}
\usage{
calc_TL.temperature(nPoints, Tmax, Hrate, an_temp = 0, an_time = 0,
  rec_ramp2PH = FALSE, rec_duringPH = FALSE)
}
\arguments{
\item{nPoints}{\link{numeric} (\bold{required}): number of points.}

\item{Tmax}{\link{numeric} (\bold{required}): Maximum temperature.}

\item{Hrate}{\link{numeric} (\bold{required}): Heating rate.}

\item{an_temp}{\link{numeric} (with default): Annealing temperature.}

\item{an_time}{\link{numeric} (with default): Annealing time.}

\item{rec_ramp2PH}{\link{logical} (with default): Indicate if the signal was record during the ramp up to the preheat temperature.}

\item{rec_duringPH}{\link{logical} (with default): Indicate if the signal was record during the preheat plateau.}
}
\value{
This function provides a new \code{\linkS4class{TLum.Results}} object containing the times and temperature vectors.
}
\description{
This function calculates the temperature vector.
}
\author{
David Strebler, University of Cologne (Germany).
}

